<?php
header('Content-Type: application/json');
require("dbinfo.php");
require("dl.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");
$sql = "";
$sql2 = "";


if( $_REQUEST["sql"] ) {
   $sql = $_REQUEST['sql'];
}

if( $_REQUEST["sql2"] ) {
   $sql2 = $_REQUEST['sql2'];
}

if( $_REQUEST["historia"] ) {
   $historia = $_REQUEST['historia'];
}

if( $_REQUEST["id"] ) {
   $id = $_REQUEST['id'];
}

if( $_REQUEST["tipo"] ) {
   $tipo = $_REQUEST['tipo'];
}

if( $_REQUEST["tipo_elemento"] ) {
   $tipo_elemento = $_REQUEST['tipo_elemento'];
}


      $resultado = mysqli_query($con,$sql);

      if ($sql2 != "")
         {
            $resultado = mysqli_query($con,$sql2);
         }


$sql = str_replace("'","",$sql);


$usuario = "administrador";
if( $_REQUEST["usuario"] ) {
   $usuario = $_REQUEST['usuario'];
}

$descripcion = "";
if( $_REQUEST["descripcion"] ) {
   $descripcion = $_REQUEST['descripcion'];
}


if($id > 0 && $sql != '' && $tipo != '')
{
   $fecha = dl_fecha::dl_ahora_texto();
   $sql = "INSERT INTO log2 (id_elemento,descripcion,tipo,fecha,usuario,tipo_elemento) VALUES (" . $id . ",'" . $descripcion . "','" . $tipo ."','" . $fecha . "','" . $usuario . "','" . $tipo_elemento . "')";
   $resultado = mysqli_query($con,$sql);
}

mysqli_close($con);

$resultado = array(
   'mensaje'=> $sql,
   'id'=>$id,
   'tipo'=>$tipo
   );
echo json_encode($resultado);

?>